AnalyticContinuousFloatingLookbackEngine Class Reference

Pricing engine for European continuous floating-strike lookback. More...

`#include <ql/pricingengines/lookback/analyticcontinuousfloatinglookback.hpp>`

Inheritance diagram for AnalyticContinuousFloatingLookbackEngine:
[legend]

## Public Member Functions

| AnalyticContinuousFloatingLookbackEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const
Public Member Functions inherited from GenericEngine< ContinuousFloatingLookbackOption::arguments, ContinuousFloatingLookbackOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< ContinuousFloatingLookbackOption::arguments, ContinuousFloatingLookbackOption::results >
ContinuousFloatingLookbackOption::arguments | arguments_
ContinuousFloatingLookbackOption::results | results_

## Detailed Description

Pricing engine for European continuous floating-strike lookback.

Formula from "Option Pricing Formulas", E.G. Haug, McGraw-Hill, 1998, p.61-62

Tests:
  returned values verified against results from literature